RubyGems Navigation menu

ocular 0.2.9

Framework to automate responses for infrastructure events. Ocular allows to easily create small scripts which are triggered from multiple different event sources and which can then execute scripts commanding all kinds of infrastructure, do remote command execution, execute AWS API calls, modify databases and so on. The goal is that a new script could be written really quickly to automate a previously manual infrastructure maintenance job instead of doing the manual job yet another time. Scripts are written in Ruby with a simple Ocular DSL which allows the script to easily respond to multitude different events.

Versions:

  1. 0.2.9 - January 03, 2017 (23.5 KB)
  2. 0.2.8 - January 03, 2017 (23.5 KB)
  3. 0.2.7 - December 20, 2016 (23.5 KB)
  4. 0.2.6 - December 20, 2016 (23.5 KB)
  5. 0.2.5 - December 19, 2016 (23.5 KB)
Show all versions (34 total)

Runtime Dependencies (13):

  • bunny = 2.3.1
  • etcd = 0.3.0
  • faraday = 0.9.2
  • fog = 1.37.0
  • mongo = 2.3.0
  • mysql2 = 0.4.3
  • pg = 0.19.0
  • puma = 2.16.0
  • rack = 1.6.4
  • rack-protection = 1.5.3
  • ruby-kafka = 0.3.15
  • rufus-scheduler = 3.2.0
  • rye = 0.9.13
  • Development Dependencies (1):

  • rspec = 3.4.0
  • Owners:

    Authors:

    • Juho Mäkinen

    SHA 256 checksum:

    d5e4384421b742d3d27b6a902ae89012f1790a268a5a007a934223dcc82b2a81

    Total downloads 30,196

    For this version 978

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache 2.0

    Required Ruby Version: >= 0

    Links: